#version 120

varying vec4 texcoord;
varying vec4 color;
varying float transitionFactor;

uniform sampler2D texture;

void main() {
    vec4 albedo = texture2D(texture, texcoord.st);
    albedo.rgb = vec3(1.0, 1.0, 1.0); // Force white color while preserving alpha
    
    // Apply fade transition
    albedo.a *= 0.2 - transitionFactor;
    
    /* DRAWBUFFERS:0 */
    gl_FragData[0] = albedo;
}
