#version 120

varying vec4 color;
varying vec2 texcoord;
varying float fade;

uniform int worldTime;

void main() {
    vec4 position = gl_Vertex;
    
    // Add subtle movement to sky vertices based on time
    float timeScale = float(worldTime) / 24000.0;
    position.y += sin(timeScale * 3.14159 * 2.0 + position.x * 0.1) * 0.02;
    
    gl_Position = ftransform();
    color = gl_Color;
    texcoord = gl_MultiTexCoord0.xy;
    
    // Calculate fade based on height
    fade = clamp(1.0 - (gl_Position.y * 0.5 + 0.5), 0.0, 1.0);
}